Holger's Java API

## com.antelmann.cddb
Class CDDriveWin

    java.lang.Object
      com.antelmann.cddb.CDDrive
          com.antelmann.cddb.CDDriveWin

    @NativeCode(value="requires CDDriveWin.dll")
    public class CDDriveWin

extends CDDrive

This class is a Win32 specific implementation of CDDrive, which uses native function calls to access the CD-ROM drive. In order to run this class, you will need the library CDDriveWin.dll in your java.library.path or your windows path environment.

If you encounter an `UnsatisfiedLinkError` because you don't have the required library for this class, you can downlad the file from http://www.antelmann.com/developer/.

Note that the C source code for CDDriveWin.dll is based on the GNU GPL available work from Jay A. Key.

Author:
  Holger Antelmann

Field Summary
`protected int` `driveNum`

Constructor Summary
`CDDriveWin()`
`CDDriveWin(int driveNum)` the first drive is 0

Method Summary
`void` `backward()` method not implemented (throws UnsupportedOperationException)
`void` `eject()` method not implemented (throws UnsupportedOperationException)
`void` `forward()` method not implemented (throws UnsupportedOperationException)
`String` `getCDDBQuery()` This method is a platform dependent call that queries available CD-ROM drives to get the query string processed for further analysis.
`void` `pause()` method not implemented (throws UnsupportedOperationException)
`void` `play()` method not implemented (throws UnsupportedOperationException)
`void` `stop()` method not implemented (throws UnsupportedOperationException)

Methods inherited from class com.antelmann.cddb.CDDrive
`getCDID, getQueryString, isCDAvailable, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### driveNum

    protected int driveNum

Constructor Detail

### CDDriveWin

    public CDDriveWin()

### CDDriveWin

    public CDDriveWin(int driveNum)

  the first drive is 0

Method Detail

### getCDDBQuery

    public String getCDDBQuery()

  Description copied from class: `CDDrive`
  This method is a platform dependent call that queries available CD-ROM drives to get the query string processed for further analysis.

### eject

    public void eject()

  method not implemented (throws UnsupportedOperationException)

  Specified by:
    `eject` in class `CDDrive`

### play

    public void play()

  method not implemented (throws UnsupportedOperationException)

  Specified by:
    `play` in class `CDDrive`

### stop

    public void stop()

  method not implemented (throws UnsupportedOperationException)

  Specified by:
    `stop` in class `CDDrive`

### backward

    public void backward()

  method not implemented (throws UnsupportedOperationException)

  Specified by:
    `backward` in class `CDDrive`

### forward

    public void forward()

  method not implemented (throws UnsupportedOperationException)

  Specified by:
    `forward` in class `CDDrive`

### pause

    public void pause()

  method not implemented (throws UnsupportedOperationException)

  Specified by:
    `pause` in class `CDDrive`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads